export interface IKeyPair {
    key: string;
    pubKey: string;
}
export declare enum SshKeyType {
    RSA = "RSA",
    ED25519 = "ED25519",
}
export interface ISshKeyPath {
    keyPath?: string;
}
export interface ISshKey extends ISshKeyPath, IKeyPair {
    name: string;
    keyType: string;
    createdAt: string;
}
export interface IGenerateSSHKeysRequest {
    name: string;
    comment?: string;
}
export interface ISshKeyInputAbstract {
    id?: string;
    name: string;
    keyType: SshKeyType;
    comment?: string;
}
export interface IKeyPair {
    key: string;
    pubKey: string;
}
export interface IKeyParams {
    location: string;
    comment?: string;
    password?: string;
    read?: boolean;
    size?: number;
    destroy?: boolean;
}
export declare type IKeyGenPayload = {
    ok: boolean;
    keypair?: IKeyPair;
    error?: Error;
};
export declare type ISshKeyInput = ISshKeyInputAbstract & IKeyPair & {
    _id?: any;
};
