import { ServerPattern } from 'nats-hemera';
import { ISshKeyInput } from '../../common';
export declare type SSHRequest = {};
export interface HemeraSshRequest<T extends SSHRequest> extends ServerPattern {
    request: T;
    [propName: string]: any;
}
export declare type InputKeyRequest = {
    key: ISshKeyInput;
};
export declare type KeyRequest = {
    id: string;
};
export declare type GetKeyRequest = SSHRequest & KeyRequest;
export declare type DeleteKeyRequest = SSHRequest & KeyRequest;
export declare type CreateKeyRequest = SSHRequest & InputKeyRequest;
export declare type UpdateKeyRequest = SSHRequest & KeyRequest & InputKeyRequest;
export declare type GenerateKeyRequest = SSHRequest & {
    name: string;
    comment?: string;
};
