import { Model, Document } from 'mongoose';
import { IGenerateSSHKeysRequest, ISshKey, ISshKeyInput } from '../../common';
export interface ISshKeyModel extends ISshKey, Document {
    id: any;
    _id: any;
}
export declare type SshKeyModelType = Model<ISshKeyModel>;
export interface ISshKeyService {
    getSshKey(id: string): Promise<ISshKeyModel>;
    deleteSshKey(id: string): Promise<boolean>;
    addSshKey(input: ISshKeyInput): Promise<ISshKeyModel>;
    generateKeys(input: IGenerateSSHKeysRequest): Promise<ISshKeyModel>;
    updateSshKey(id: string, input: ISshKeyInput): Promise<ISshKeyModel>;
}
export interface ISshKeyRepository {
    deleteSshKey(id: string): Promise<boolean>;
    getSshKey(id: string): Promise<ISshKeyModel>;
    addSshKey(input: ISshKeyInput): Promise<ISshKeyModel>;
    updateSshKey(id: string, input: ISshKeyInput): Promise<ISshKeyModel>;
}
