/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { ISshKeyService, ISshKeyRepository, ISshKeyModel } from '../interfaces';
import { ISshKeyInput, IGenerateSSHKeysRequest } from '../../common';
export declare class SshKeyService implements ISshKeyService {
    private repository;
    private logger;
    constructor(repository: ISshKeyRepository, logger: Logger);
    generateKeys(input: IGenerateSSHKeysRequest): Promise<ISshKeyModel>;
    addSshKey(input: ISshKeyInput): Promise<any>;
    updateSshKey(id: string, input: ISshKeyInput): Promise<any>;
    deleteSshKey(id: string): Promise<boolean>;
    getSshKey(input: string): Promise<any>;
}
