/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import * as mongoose from 'mongoose';
import { ISshKeyInput } from '../../../common';
import { ISshKeyRepository, ISshKeyModel } from '../../interfaces';
export declare class SshKeyRepository implements ISshKeyRepository {
    private logger;
    private sshKeyModel;
    constructor(db: mongoose.Connection, logger: Logger);
    getSshKey(id: string): Promise<ISshKeyModel>;
    addSshKey(input: ISshKeyInput): Promise<ISshKeyModel>;
    deleteSshKey(input: any): Promise<any>;
    updateSshKey(id: string, input: ISshKeyInput): Promise<ISshKeyModel>;
}
